Name:		xls2csv
Version:		1.07
Release:		10%{?dist}
Summary:		A script that recodes a spreadsheet's charset and saves as CSV

Group:		Applications/Text
License:		GPL+ or Artistic
URL:			http://search.cpan.org/dist/xls2csv/
Source0:		http://search.cpan.org/CPAN/authors/id/K/KE/KEN/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
BuildRequires:	perl(ExtUtils::Embed) perl(ExtUtils::MakeMaker) perl(Test::Harness)
BuildRequires:	perl(Test::Simple) perl(Unicode::Map)
BuildRequires:	perl-interpreter perl-generators perl(Locale::Recode) perl(Text::CSV_XS) perl(Spreadsheet::ParseExcel)
Requires:		perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:		perl(Unicode::Map)

%description
This script will recode a spreadsheet into a different character set
and output the recoded data as a csv file.

The script came about after many headaches from dealing with Excel
spreadsheets from clients that were being received in various character
sets.


%prep
%setup -q

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{_prefix}"
%{__make} OPTIMIZE="$RPM_OPT_FLAGS"

%check
%{__make} test

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
%{__chmod} -R u+w %{buildroot}/*

# To avoid name conflict with catdoc package.
%{__mv} %{buildroot}%{_bindir}/%{name} %{buildroot}%{_bindir}/convert%{name}
%{__gzip} -c9 %{buildroot}%{_mandir}/man1/%{name}.1 > %{buildroot}%{_mandir}/man1/convert%{name}.1.gz
%{__rm} %{buildroot}%{_mandir}/man1/%{name}.1


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc
%attr(0755, root, root) %{_bindir}/convert%{name}
%{_mandir}/man1/convert%{name}.1.gz

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.07-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jun 06 2017 Jitka Plesnikova <jplesnik@redhat.com> - 1.07-9
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.07-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon May 16 2016 Jitka Plesnikova <jplesnik@redhat.com> - 1.07-7
- Perl 5.24 rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.07-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.07-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.07-4
- Perl 5.22 rebuild

* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.07-3
- Perl 5.20 rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.07-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Feb 8 2014 Pavel Alexeev <Pahan@Hubbitus.info> - 1.07-1
- Update to 1.07 by bz#1062668

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.06-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 31 2013 Petr Pisar <ppisar@redhat.com> - 1.06-15
- Perl 5.18 rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.06-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.06-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 21 2012 Petr Pisar <ppisar@redhat.com> - 1.06-12
- Perl 5.16 rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.06-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 1.06-10
- Perl mass rebuild

* Wed Jul 20 2011 Petr Sabata <contyk@redhat.com> - 1.06-9
- Perl mass rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.06-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jun 02 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.06-7
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.06-6
- rebuild against perl 5.10.1

* Thu Sep 24 2009 Pavel Alexeev <Pahan@Hubbitus.info> - 1.06-5
- Rename /usr/bin/xls2csv to /usr/bin/convertxls2csv to avoid name conflict with package catdoc (Thank you Jan Klepek)

* Mon Aug 10 2009 Pavel Alexeev <Pahan@Hubbitus.info> - 1.06-4
- License tag changed to "GPL+ or Artistic"

* Sun Aug 9 2009 Pavel Alexeev <Pahan@Hubbitus.info> - 1.06-3
- Rewrite all BR from  perl-Unicode-Map form to "perl(Unicode::Map)"
- Add back Requires: perl(:MODULE_COMPAT_%%(eval "`%%{__perl} -V:version`"; echo $version)), perl(Unicode::Map)

* Fri Aug 7 2009 Pavel Alexeev <Pahan@Hubbitus.info> - 1.06-2
- Delete %%{buildroot} from PREFIX and accordingly my doubleprefix hack.
- Replace all $RPM_BUILD_ROOT by %%{buildroot} for consistency use macroses.
- Replace chmod by %%{__chmod}.
- Remove all explicit perl and perl-modules requires.

* Sat Nov 22 2008 Pavel Alexeev <Pahan [ at ] Hubbitus [ DOT ] spb [ dOt.] su> - 1.06-1
- Small cosmetics changes like use %%{__rm} instead of plain "rm" and add
	braces in all macroses as it want Jason Tibbitts in BZ review 458866
- Remove file %%{perl_vendorarch}/auto/xls2csv/.packlist and add 3 lines
	(delete .packlist, delete empty directories and change permissions)
	from /etc/rpmdevtools/spectemplate-perl.spec (Jason Tibbitts)

* Tue Aug 12 2008 Pavel Alexeev <Pahan [ at ] Hubbitus [ DOT ] spb [ dOt.] su> - 1.06-0
- Change BuildArch to noarch
- Add BR: perl(Test::Simple)
- Add BuildRequires: perl perl-libintl perl-Text-CSV_XS perl-Spreadsheet-ParseExcel perl-Unicode-Map for tests

* Fri Aug 8 2008 Pavel Alexeev <Pahan [ at ] Hubbitus [ DOT ] spb [ dOt.] su> - 1.06-0
- Initial spec
